Redmine - Defect #2483

"Proxy server could handle the request GET" error and email.yml
2009-01-09 18:21 - Tien Tran

Status: Closed Start date: 2009-01-09
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Affected version:

Description
| just upgrade redmine to version 0.8, copy database.yml and configure the mail.yml. But | get the following error

The proxy server received an invalid response from an upstream server.
The proxy server could not handle the request GET /redmine.

Reason: Error reading from remote server
If | delete the mail.yml file, everything works. | tried to create the mail.yml file from scratch by typing all info without cut and paste but
still ...

Can anyone please help?

Thanks so much
T

History

#1 - 2009-01-09 18:32 - Jean-Philippe Lang

Attach your email.yml please.

#2 - 2009-01-09 19:31 - Tien Tran
- File email.yml added

Here it is

#3 - 2009-01-09 21:08 - Jean-Philippe Lang

Your email.yml doesn't seem to be invalid.
Can you please provide the Redmine log that shows the error?

#4 - 2009-01-09 21:27 - Tien Tran
- File production.log.bak added

this is the log when redmine successfully starts (without the email.yml file). With email.yml, the log file is empty.

1. l originally install Redmine using Bitnami installation and working great. Then | upgrade using

svn co http://redmine.rubyforge.org/svn/branches/0.8-stable redmine-0.8

2. I then rename the directory to redmine, run svn update, copy database.yml file, create the email.yml and configure with the same smtp server, user
and password for smtp.

3. When | browse http://localhost, this error come up

Proxy Error

The proxy server received an invalid response from an upstream server.

The proxy server could not handle the request GET /redmine.

Reason: Error reading from remote server

Only when there is no email.yml file in the config directory, redmine will work.

I am running on Vista and Windows 2000 server.
thanks for all the help

#5 - 2009-01-09 23:19 - Tien Tran
http://redmine.rubyforge.org/svn/branches/0.8-stable
http://localhost

- File mongrel.log added

Attached is the mongrel.log file with some error ..... If there is no email.yml file, this log file is empty
I hope this will help

#6 - 2009-01-10 17:30 - Jean-Philippe Lang

- Status changed from New to Closed

This log shows that you have a syntax error in your original email.yml. The error is raised when the YAML module tries to parse it.
For example, make sure you don't use tabs to indent the lines, use spaces only.

It's not a Redmine defect.

#7 - 2009-01-12 18:15 - Tien Tran
- File email.yml added
- File mongrel.log added

- Status changed from Closed to Reopened

| have removed spaces in the email.yml and now | get different error in the mongrel.log
Here is my gem list

e LOCAL GEMS ***

actionmailer (2.1.2, 2.1.1, 2.1.0)
actionpack (2.1.2,2.1.1,2.1.0)
activerecord (2.1.2, 2.1.1, 2.1.0)
activeresource (2.1.2, 2.1.1, 2.1.0)
activesupport (2.1.2,2.1.1, 2.1.0)
cgi_multipart_eof_fix (2.5.0)
daemons (1.0.10)

echoe (3)

fastthread (1.0.1)
fiveruns_tuneup (0.8.15)
gem_plugin (0.2.3)

highline (1.4.0)

mongrel (1.1.5)
mongrel_service (0.3.4)

mysql (2.7.3)

rails (2.1.2)

rake (0.8.3, 0.8.2)

rmagick (2.3.0)

rubyforge (1.0.0)
rubygems-update (1.3.1)
sqlite3-ruby (1.2.1)
win32-service (0.5.2)

Any idea?
thanks for your help!

#8 - 2009-01-12 18:51 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Your new email.yml is invalid.
Reread my reply, | didn't tell you to remove the spaces at the beginning of the lines.

Your file must look like this:

production: <= no spaces at the beginning
delivery_method: :smtp <= 2 spaces at the beginning (but no tab and no trailing spaces)
smtp_settings:
address: mail.xxx.com <= 4 spaces at the beginning (but no tab and no trailing spaces)
port: 25

domain: xxx.com

Files

email.yml 426 Bytes 2009-01-09 Tien Tran
production.log.bak 28.4 KB

mongrel.log 7.92 KB

email.yml 342 Bytes

mongrel.log 8.87 KB
2025-07-06
